var host = window.location.href;
var arr = host.split("/");
host = arr[0] + "//" + arr[2];
host_w_port = arr[2].split(":")[0];

function get_json_data(url) {
    $.ajax({
      dataType: "json",  
      url: url,
    }).done(function(data) {
      create_content(data);
    });
};

function fix_domain(domain) {
    return domain.replace(/\./g,"");
}

function get_last_report(domain_name) {
   
    var link = window.siteguarding_server + '?action=get_latest_report_id&type=json&data=';
    
    var data = {
        domain: fix_domain(domain_name) + "." + window.host_w_port,
        access_key: window.access_key,
        product_type: 'server',
        controlOrigin: window.host
    };
    
    link += window.btoa(JSON.stringify(data));
    
    $.ajax({  
      url: link
    }).done(function(data) {
      if(data == "") {
          alert("Cant find latest report, please scan the website!");
      } else {
          window.location.href = "https://www.siteguarding.com/antivirus/viewreport?report_id=" + data;
      }
    }); 
    
}

function create_content(users) {
    
    var list_users = [];
    var domains_length = users.data.domains.length;
    for(var i = 0; i < domains_length; i++) {
        if(list_users[users.data.domains[i].user] == undefined ) {
            list_users[users.data.domains[i].user] = [users.data.domains[i]];
        } else {
            list_users[users.data.domains[i].user].push(users.data.domains[i]);
        }
    }
    var content = '';
     for(var user in list_users) {
        content = "<tr><td>" + user + "</td>";
        if(list_users[user].length < 2) {
            content += "<td>"+ list_users[user][0].domain + "</td>";
            content += "<td><div><a href="+ location.href + "?scan_path="+ list_users[user][0].docroot + "&task=scan&domain=" + fix_domain(list_users[user][0].domain) +"> Scan </a>" + " | ";
            content += "<a onclick=\"get_last_report('"+ list_users[user][0].domain +"');\"> Latest report</a></div></td>";
        } else {
            main_domains = [];
            addon_domains = [];
            sub_domains = [];
            other_domains = [];
            user_domains_length = list_users[user].length;
            for( var i = 0; i < user_domains_length; i++) {
                if(list_users[user][i].domain_type == 'main') {
                    main_domains.push(list_users[user][i].domain);
                    main_domains.push(list_users[user][i].domain_type);
                    main_domains.push(list_users[user][i].docroot);
                } else if(list_users[user][i].domain_type == 'addon') {
                    addon_domains.push(list_users[user][i].domain);
                    addon_domains.push(list_users[user][i].domain_type);
                    addon_domains.push(list_users[user][i].docroot);
                } else if(list_users[user][i].domain_type == 'sub') {
                    sub_domains.push(list_users[user][i].domain);
                    sub_domains.push(list_users[user][i].domain_type);
                    sub_domains.push(list_users[user][i].docroot);
                } else {
                    other_domains.push(list_users[user][i].domain);
                    other_domains.push(list_users[user][i].domain_type);
                    other_domains.push(list_users[user][i].docroot);
                }
            }
            content += "<td>";
            main_domains_length = main_domains.length;
            for(var k = 0;k < main_domains_length; k = k+3) {
                content += "<div>"+ main_domains[k] + " "+ main_domains[k+1] +"</div>";
            }
            
            addon_domains_length = addon_domains.length;
            for(var l = 0;l < addon_domains_length; l = l+3) {
                content += "<div>"+ addon_domains[l] + " "+ addon_domains[l+1] +"</div>";
            }
            
            sub_domains_length = sub_domains.length;
            for(var m = 0;m < sub_domains_length; m = m+3) {
                content += "<div>"+ sub_domains[m] + " "+ sub_domains[m+1] +"</div>";
            }
            
            other_domains_length = other_domains.length;
            for(var n = 0; n < other_domains_length; n = n+3) {
                content += "<div>"+ other_domains[n] + " "+ other_domains[n+1] +"</div>";
            }
            content += "</td>";
            
            content += "<td>";
            for(var o = 2;o < main_domains_length; o = o+3) {
                content += "<div><a href="+ location.href + "?scan_path="+ main_domains[o] + "&task=scan&domain=" + fix_domain(main_domains[o-2]) +">  Scan </a>" + " | ";
                content += "<a onclick=\"get_last_report('"+ main_domains[o-2] +"');\"> Latest report </a></div>";
            }
            for(var p = 2; p < addon_domains_length; p = p+3) {
                content += "<div><a href="+ location.href + "?scan_path="+ addon_domains[p] + "&task=scan&domain=" + fix_domain(addon_domains[p-2]) +"> Scan </a> " + " | ";
                content += "<a onclick=\"get_last_report('"+ addon_domains[p-2] +"');\"> Latest report </a></div>";
            }
            for(var r = 2;r < sub_domains_length; r = r+3) {
                content += "<div><a href="+ location.href + "?scan_path="+ sub_domains[r] + "&task=scan&domain=" + fix_domain(sub_domains[r-2]) +"> Scan </a>" + " | ";
                content += "<a onclick=\"get_last_report('"+ sub_domains[r-2] +"');\"> Latest report </a></div>";
            }
            for(var n = 2;n < other_domains_length; n = n+3) {
                content += "<div><a href="+ location.href + "?scan_path="+ other_domains[n] + "&task=scan&domain=" + fix_domain(sub_domains[n-2]) +"> Scan </a>" + " | ";
                content += "<a onclick=\"get_last_report('"+ sub_domains[n-2] +"');\"> Latest report </a></div>";
                
            }
            content += "</td>";
        }
        content += "</tr>";
        $("#general > tbody").append(content);
    }
    
}


    

